Package com.omnisci.thrift.server

## Enum TPixelTableRowResult._Fields

- java.lang.Object
- - java.lang.Enum<TPixelTableRowResult._Fields>
  - - com.omnisci.thrift.server.TPixelTableRowResult._Fields

All Implemented Interfaces:
  `Serializable`, `Comparable<TPixelTableRowResult._Fields>`, `org.apache.thrift.TFieldIdEnum`

Enclosing class:
  TPixelTableRowResult

    public static enum TPixelTableRowResult._Fields
    extends Enum<TPixelTableRowResult._Fields>
    implements org.apache.thrift.TFieldIdEnum

The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Enum Constant Summary

Enum Constants
`NONCE`
`PIXEL`
`ROW_ID`
`ROW_SET`
`TABLE_ID`
`VEGA_TABLE_NAME`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static TPixelTableRowResult._Fields` `findByName​(String name)` Find the _Fields constant that matches name, or null if its not found.
`static TPixelTableRowResult._Fields` `findByThriftId​(int fieldId)` Find the _Fields constant that matches fieldId, or null if its not found.
`static TPixelTableRowResult._Fields` `findByThriftIdOrThrow​(int fieldId)` Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`String` `getFieldName()`
`short` `getThriftFieldId()`
`static TPixelTableRowResult._Fields` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static TPixelTableRowResult._Fields[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PIXEL

    public static final TPixelTableRowResult._Fields PIXEL

#### VEGA_TABLE_NAME

    public static final TPixelTableRowResult._Fields VEGA_TABLE_NAME

#### TABLE_ID

    public static final TPixelTableRowResult._Fields TABLE_ID

#### ROW_ID

    public static final TPixelTableRowResult._Fields ROW_ID

#### ROW_SET

    public static final TPixelTableRowResult._Fields ROW_SET

#### NONCE

    public static final TPixelTableRowResult._Fields NONCE

### Method Detail

#### values

    public static TPixelTableRowResult._Fields[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TPixelTableRowResult._Fields c : TPixelTableRowResult._Fields.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TPixelTableRowResult._Fields valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### findByThriftId

    public static TPixelTableRowResult._Fields findByThriftId​(int fieldId)

Find the _Fields constant that matches fieldId, or null if its not found.

#### findByThriftIdOrThrow

    public static TPixelTableRowResult._Fields findByThriftIdOrThrow​(int fieldId)

Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

#### findByName

    public static TPixelTableRowResult._Fields findByName​(String name)

Find the _Fields constant that matches name, or null if its not found.

#### getThriftFieldId

    public short getThriftFieldId()

Specified by:
  `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

#### getFieldName

    public String getFieldName()

Specified by:
  `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`